---     
tags: 
  - News Articles
description: Updates a news article.
parameters:
  - in: header
    name: Authorization
    type: string
    required: true
  - in: body
    name: body
    type: object
    required: true
    schema:
      example: {
        'title': 'New Title', 
        'blurb': 'New Blurb', 
        'content': 'New Content', 
        'banner_image': 'new_image.jpg', 
        'url': 'case-study', 
        'slug': 'new_slug', 
        'published': True, 
        'created_at': 'Sat, 21 Jan 2017 01:02:34 GMT'
      }
produces: 
  - 'application/json'
responses:
  200:
    schema:
      type: object
      example: {
        "message": "news article updated"
      }
  401:
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'Unauthorised'
